from io import BytesIO
import base64

def plt_to_png(pyplot):
    figfile = BytesIO()
    pyplot.savefig(figfile, format='png')
    figfile.seek(0)  # rewind to beginning of file
    figdata_png = base64.b64encode(figfile.getvalue())
    pyplot.close()
    return figdata_png.decode('utf8')
