
MENU = {'/': 'CherryPy Tutorial',
        # 'simple_darts': 'Simple π',
       # 'simple_mandel': "Simple fractal",
       'darts': 'Estimate π',
       'mandel': "Draw a fractal"
}



TEMPLATE = """
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="iso-8859-1">
        <title>%(title)s</title>
        <style>
            html * {
                 font-family: "Comic Sans MS", cursive, sans-serif !important;
            }        

            .clearfix::after {
              content: "";
              clear: both;
              display: table;
            }
            
            .TextWrap {
            float: left;
            margin: 10px;
            }
            
            #menu ul {
              list-style-type: none;
              margin: 0;
              padding: 0;
              overflow: hidden;
              background-color: #333;
            }
            
            #menu li {
              float: left;
            }
            
            #menu li a {
              display: block;
              color: white;
              text-align: center;
              padding: 14px 16px;
              text-decoration: none;
            }
            
            #menu li a:hover:not(.active) {
              background-color: #111;
            }
            
            #menu .active {
              background-color: #4CAF50;
            }
        </style>        
    </head>
    <body>
        <a id='top'></a>
        <div id = "menu">
            <ul>
            %(menu)s
            </ul>
        </div>
        <h1>%(title)s</h1>
        %(body)s
        <p>&copy; 2019 LINCS Reading Group, <a href="mailto:fabien.mathieu@nokia-bell-labs.com?subject=InfoDiag">Fabien Mathieu</a><p>
    </body>
</html>
"""
